6.1 - Operator precedence and associativity:
    Definitions:

6.2 - Arithmetic operators:
    Definitions:

6.3 - Remainder and Exponentiation:
    Definitions:

6.4 - Increment/decrement operators, and side effects:
    Definitions:

6.5 - The comma operator:
    Definitions:

6.6 - Relational operators and floating point comparisons:
    Definitions:

6.7 - Logical operators:
    Definitions:

6.x - Chapter 6 summary and quiz:
    Definitions:
